package com.honghu.topsports.model;

import java.util.Objects;

/**
 * 友盟推送自定义消息的实体类
 */
public class FreeMessageModel {

    private String type;
    private String redirectValue;
    private String msgId;
    private String paraOne;
    private String paraTwo;
    private String paraThree;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRedirectValue() {
        return redirectValue;
    }

    public void setRedirectValue(String redirectValue) {
        this.redirectValue = redirectValue;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public String getParaOne() {
        return paraOne;
    }

    public void setParaOne(String paraOne) {
        this.paraOne = paraOne;
    }

    public String getParaTwo() {
        return paraTwo;
    }

    public void setParaTwo(String paraTwo) {
        this.paraTwo = paraTwo;
    }

    public String getParaThree() {
        return paraThree;
    }

    public void setParaThree(String paraThree) {
        this.paraThree = paraThree;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        FreeMessageModel that = (FreeMessageModel) o;
        return Objects.equals(type, that.type) &&
                Objects.equals(redirectValue, that.redirectValue) &&
                Objects.equals(msgId, that.msgId) &&
                Objects.equals(paraOne, that.paraOne) &&
                Objects.equals(paraTwo, that.paraTwo) &&
                Objects.equals(paraThree, that.paraThree);
    }

    @Override
    public int hashCode() {
        return Objects.hash(type, redirectValue, msgId, paraOne, paraTwo, paraThree);
    }
}
